Bug 1316397 - [abrt] gnome-shell: update_clock(): gnome-shell killed by SIGSEGV
[abrt] gnome-shell: update_clock(): gnome-shell killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gnome-shell (Show other bugs)
24
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Owen Taylor
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:2e8f9a995d9c3c8cb7b42d65255...
:
: 1361957 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-03-10 02:48 EST by Han Han
Modified: 2017-08-08 09:06 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-08-08 09:06:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (53.35 KB, text/plain)
2016-03-10 02:48 EST, Han Han
no flags Details
File: cgroup (242 bytes, text/plain)
2016-03-10 02:48 EST, Han Han
no flags Details
File: core_backtrace (6.01 KB, text/plain)
2016-03-10 02:48 EST, Han Han
no flags Details
File: dso_list (24.63 KB, text/plain)
2016-03-10 02:48 EST, Han Han
no flags Details
File: environ (961 bytes, text/plain)
2016-03-10 02:48 EST, Han Han
no flags Details
File: exploitable (82 bytes, text/plain)
2016-03-10 02:48 EST, Han Han
no flags Details
File: limits (1.29 KB, text/plain)
2016-03-10 02:48 EST, Han Han
no flags Details
File: maps (183.96 KB, text/plain)
2016-03-10 02:49 EST, Han Han
no flags Details
File: mountinfo (3.57 KB, text/plain)
2016-03-10 02:49 EST, Han Han
no flags Details
File: namespaces (85 bytes, text/plain)
2016-03-10 02:49 EST, Han Han
no flags Details
File: open_fds (13.66 KB, text/plain)
2016-03-10 02:49 EST, Han Han
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2016-03-10 02:49 EST, Han Han
no flags Details
File: var_log_messages (11.82 KB, text/plain)
2016-03-10 02:49 EST, Han Han
no flags Details

  None (edit)
Description Han Han 2016-03-10 02:48:23 EST
Description of problem:
gnome-shell took >50% CPU usage and crashed.

Version-Release number of selected component:
gnome-shell-3.19.91-1.fc24

Additional info:
reporter:       libreport-2.6.4
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: update_clock
executable:     /usr/bin/gnome-shell
global_pid:     1691
kernel:         4.5.0-0.rc6.git3.1.fc24.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 update_clock at gnome-wall-clock.c:345
 #1 g_cclosure_marshal_VOID__STRINGv at gmarshal.c:1794
 #2 _g_closure_invoke_va at gclosure.c:867
 #5 g_settings_real_change_event at gsettings.c:386
 #6 ffi_call_unix64 at ../src/x86/unix64.S:76
 #7 ffi_call at ../src/x86/ffi64.c:525
 #8 g_cclosure_marshal_generic_va at gclosure.c:1604
 #9 _g_closure_invoke_va at gclosure.c:867
 #12 settings_backend_path_changed at gsettings.c:461
 #13 g_settings_backend_invoke_closure at gsettingsbackend.c:267

Potential duplicate: bug 1253029
Comment 1 Han Han 2016-03-10 02:48:34 EST
Created attachment 1134719 [details]
File: backtrace
Comment 2 Han Han 2016-03-10 02:48:38 EST
Created attachment 1134720 [details]
File: cgroup
Comment 3 Han Han 2016-03-10 02:48:42 EST
Created attachment 1134721 [details]
File: core_backtrace
Comment 4 Han Han 2016-03-10 02:48:48 EST
Created attachment 1134722 [details]
File: dso_list
Comment 5 Han Han 2016-03-10 02:48:51 EST
Created attachment 1134723 [details]
File: environ
Comment 6 Han Han 2016-03-10 02:48:54 EST
Created attachment 1134724 [details]
File: exploitable
Comment 7 Han Han 2016-03-10 02:48:58 EST
Created attachment 1134725 [details]
File: limits
Comment 8 Han Han 2016-03-10 02:49:06 EST
Created attachment 1134726 [details]
File: maps
Comment 9 Han Han 2016-03-10 02:49:09 EST
Created attachment 1134727 [details]
File: mountinfo
Comment 10 Han Han 2016-03-10 02:49:13 EST
Created attachment 1134728 [details]
File: namespaces
Comment 11 Han Han 2016-03-10 02:49:17 EST
Created attachment 1134729 [details]
File: open_fds
Comment 12 Han Han 2016-03-10 02:49:21 EST
Created attachment 1134730 [details]
File: proc_pid_status
Comment 13 Han Han 2016-03-10 02:49:25 EST
Created attachment 1134731 [details]
File: var_log_messages
Comment 14 Marcel Hetzendorfer 2016-07-15 11:23:11 EDT
Similar problem has been detected:

boot the laptop
after a short amount of time the desktop works as expected

reporter:       libreport-2.7.1
backtrace_rating: 4
cmdline:        /usr/bin/gnome-shell
crash_function: update_clock
executable:     /usr/bin/gnome-shell
global_pid:     2278
kernel:         4.6.3-300.fc24.x86_64
package:        gnome-shell-3.20.3-2.fc24
pkg_fingerprint: 73BD E983 81B4 6521
pkg_vendor:     Fedora Project
reason:         gnome-shell killed by SIGSEGV
reproducible:   Not sure how to reproduce the problem
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 15 tolga.malachi 2016-08-01 00:41:37 EDT
*** Bug 1361957 has been marked as a duplicate of this bug. ***
Comment 16 Vishal Verma 2016-09-26 18:20:00 EDT
I found this bugzilla through ABRT's reporting of the gnome-shell crash. For me, it is triggered almost every time Evolution tries to pop up a calendar appointment alarm. The evolution popup doesn't appear after gnome-shell is auto-restarted, and the meeting/appointment shows up in the list the next time a successful popup appears.
This is with evolution-3.20.5-1.fc24.x86_64.
Comment 17 Fedora End Of Life 2017-07-25 16:18:40 EDT
This message is a reminder that Fedora 24 is nearing its end of life.
Approximately 2 (two) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 24. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '24'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 24 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 18 Fedora End Of Life 2017-08-08 09:06:57 EDT
Fedora 24 changed to end-of-life (EOL) status on 2017-08-08. Fedora 24 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.